<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Raumbelegung\Raumdetails\RaumGrafik;

abstract class RaumGrafikController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  
  protected function getRequestObj()
  {
    $requestObj = new RaumGrafikRequest();
    $requestObj->raumNr = \GetOperations::getVarValue('rnr');
    

    $requestObj->datVon = \RequestOperations::getVarValue('datVon');
    $requestObj->datBis = \RequestOperations::getVarValue('datBis');
    $requestObj->startTime = \RequestOperations::getVarValue('starttime');
    $requestObj->endTime = \RequestOperations::getVarValue('endtime');

    return $requestObj;
  }
}